package cn.yw.machinestatusmanage.dao;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;
import javax.annotation.PostConstruct;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;
import org.springframework.stereotype.Repository;
import com.ibatis.sqlmap.client.SqlMapClient;

import cn.base.dao.BaseSqlMapDAO;

@Repository("ywmachinestatusinfoDao")
public class YwmachinestatusinfoDao  extends BaseSqlMapDAO{


	/**
	 * 增加记录
	 */
	
	public void insert_Ywmachinestatusinfo(Map map) throws SQLException{
		this.insert("insert_Ywmachinestatusinfo",map);
	}
	
	
	/**
	 * 批处理增加记录
	 */
	/*
	public void batch_insert_Ywmachinestatusinfo(List batch) throws SQLException{
		this.getSqlMapClientTemplate().insert("batch_insert_Ywmachinestatusinfo",batch);
	}
	*/
	 
	/**
	 * 修改记录
	 */
	/*
	public Integer update_Ywmachinestatusinfo(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().update("update_Ywmachinestatusinfo",map);
	}
	*/
	
	/**
	 * 删除记录
	 */
	/*
	public Integer delete_Ywmachinestatusinfo(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().delete("delete_Ywmachinestatusinfo",map);
	}
	*/
	
	/**
	 * 批处理删除记录
	 */
	
	/*
	public Integer batch_delete_Ywmachinestatusinfo(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().delete("batch_delete_Ywmachinestatusinfo",map);
	}
	*/
	
	/**
	 * 查询总数
	 */
	
	public Integer count_Ywmachinestatusinfo(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Ywmachinestatusinfo",map);
	}
	
	
	/**
	 * 查询列表记录
	 */
	
	
	public List<Map> query_Ywmachinestatusinfo(Map map) throws SQLException{
		return this.queryForPage("query_Ywmachinestatusinfo",map);
	}

	/**
	 * 查询详情
	 */
	public List<Map> getYwmachinestatusinfoDetail(Map map) throws SQLException {
		return this.queryForList("getYwmachinestatusinfoDetail",map);
	}

	/**
	 * 查询列表记录
	 */
	
	public Map get_Ywmachinestatusinfo(Map map) throws SQLException{
		return (Map) this.queryForObject("query_Ywmachinestatusinfo",map);
	}
	
	// 查询
	public List<Map> get_ywmachinestatusinfo(Map map) throws SQLException{
		return this.queryForPage("get_ywmachinestatusinfo",map);
	}
	public Integer get_ywmachinestatusinfoCount(Map map) throws SQLException{
		return (Integer)this.queryForObject("get_ywmachinestatusinfoCount",map);
	}
	
	
}
